All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.builder
Class CompoundFilterBuilder

    com.sas.iquery.builder.CompoundFilterBuilder

All Implemented Interfaces:
  Builder<CompoundFilter>

    public class CompoundFilterBuilder

implements Builder<CompoundFilter>

Convenience builder class for creating up compound filters.

Example:

     FilterItem fi1 = IQBuilderFactory.newRelationalFilterBuilder(_relationalDs, salesAmountAlias).greaterThan(33).build();
     FilterItem fi2 = IQBuilderFactory.newRelationalFilterBuilder(_relationalDs, salesAmountAlias).lessThan(35).build();
     FilterItem compound = IQBuilderFactory.newCompoundFilterBuilder(_relationalDs, fi1).and(fi2).build();

Since:
  9.4

Method Summary
`CompoundFilterBuilder` | `and(FilterItem rhs)`
`CompoundFilter` | `build()` Build and return and Intelligent Query object, based on parameters supplied to the `Builder` implementation.
`CompoundFilterBuilder` | `hide()`
`CompoundFilterBuilder` | `not()`
`CompoundFilterBuilder` | `or(FilterItem rhs)`

Method Detail

### and

    public CompoundFilterBuilder and(FilterItem rhs)

### or

    public CompoundFilterBuilder or(FilterItem rhs)

### not

    public CompoundFilterBuilder not()

### hide

    public CompoundFilterBuilder hide()

### build

    public CompoundFilter build()
                         throws MetadataException

  Description copied from interface: `Builder`
  Build and return and Intelligent Query object, based on parameters supplied to the `Builder` implementation.

  `null` is never returned from this method. A `MetadataException` will be thrown in the case where the object could not be constructed.

  Specified by:
    `build` in interface `Builder<CompoundFilter>`
  Returns:
    an Intelligent Query object of type `T`.
  Throws:
    `MetadataException` - if the object could not be build

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.